<?php
include("core/backend.php");
//include("core/medtrans_function.php");
if ($_SERVER["REQUEST_METHOD"] == "POST") {
    $in = $_POST;
    $out = array();

    $out = $savvyext->savvyext_api($in);
    $ret = $out["retval"];
    
    /*
    $medT = new medtrans_function();
    $ret = $medT->medtrans_api($savvyext, $in, $out);
 
 
   // $out = $in;
    $ret = rand(1000,9999);
     * 
     */
    
    $out['internal_return'] = $ret; // this is reserved array parameter - to be caprured and reoved before you use the out array()
    foreach ($out as $key => $value) {
        echo $key . "=" . base64_encode($value) . "\n";
    }
} else {
    echo "status=" . base64_encode("Invalid request method") . "\n";
}
